Bug 52551 - monomac tests hang on unload
Summary: monomac tests hang on unload
Status: RESOLVED DUPLICATE of bug 52604
Alias: None
Product: Runtime
Classification: Mono
Component: General (show other bugs)
Version: master
Hardware: PC Mac OS
: --- normal
Target Milestone: ---
Assignee: Bernhard Urban
URL:
Depends on:
Blocks:
 
Reported: 2017-02-15 23:09 UTC by Marek Safar
Modified: 2017-02-27 21:10 UTC (History)
4 users (show)

Tags: 2017-02
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED DUPLICATE of bug 52604

Description Marek Safar 2017-02-15 23:09:20 UTC
*** Timed out. Proceeding to get stack traces for all child processes. ***

*** The build step 'test-mac-dontlink' has had no output for 30 minute(s). *** 


 * Fetching stack trace for process 65536 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp40d34bc4.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp40d34bc4.tmp'.
(lldb) process attach --pid 65536
Process 65536 stopped
* thread #1: tid = 0x62568d, 0x00007fff9c7703ba libsystem_kernel.dylib`mach_msg_trap + 10, name = 'tid_307', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff9c7703ba libsystem_kernel.dylib`mach_msg_trap + 10
libsystem_kernel.dylib`mach_msg_trap:
->  0x7fff9c7703ba <+10>: retq   
    0x7fff9c7703bb <+11>: nop    

libsystem_kernel.dylib`mach_msg_overwrite_trap:
    0x7fff9c7703bc <+0>:  movq   %rcx, %r10
    0x7fff9c7703bf <+3>:  movl   $0x1000020, %eax          ; imm = 0x1000020 

Executable module set to "/Users/builder/data/lanes/4343/fefba601/source/xamarin-macios/tests/dontlink-mac/bin/x86/Debug-unified/dontlink-mac.app/Contents/MacOS/dontlink-mac".
Architecture set to: x86_64-apple-macosx.
(lldb) thread list
Process 65536 stopped
* thread #1: tid = 0x62568d, 0x00007fff9c7703ba libsystem_kernel.dylib`mach_msg_trap + 10, name = 'tid_307', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  thread #2: tid = 0x62568f, 0x00007fff9c7784a2 libsystem_kernel.dylib`__workq_kernreturn + 10
  thread #3: tid = 0x625692, 0x00007fff9c777c46 libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'SGen worker'
  thread #4: tid = 0x625693, 0x00007fff9c7703f6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'Finalizer'
  thread #5: tid = 0x62569d, 0x00007fff9c777c46 libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'Threadpool worker'
  thread #6: tid = 0x6256a2, 0x00007fff9c7703f6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'com.apple.NSEventThread'
(lldb) thread backtrace all
* thread #1: tid = 0x62568d, 0x00007fff9c7703ba libsystem_kernel.dylib`mach_msg_trap + 10, name = 'tid_307', queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007fff9c7703ba libsystem_kernel.dylib`mach_msg_trap + 10
    frame #1: 0x00007fff9c76f807 libsystem_kernel.dylib`mach_msg + 55
    frame #2: 0x00007fff9c76c770 libsystem_kernel.dylib`thread_abort + 72
    frame #3: 0x00000001022e2b89 dontlink-mac`mono_threads_suspend_begin_async_suspend(info=<unavailable>, interrupt_kernel=<unavailable>) + 105 at mono-threads-mach.c:100 [opt]
    frame #4: 0x00000001022e62e4 dontlink-mac`mono_thread_info_safe_suspend_and_run [inlined] begin_async_suspend(info=0x00007fa1c5282600, interrupt_kernel=1) + 356 at mono-threads.c:125 [opt]
    frame #5: 0x00000001022e62d9 dontlink-mac`mono_thread_info_safe_suspend_and_run [inlined] suspend_sync(interrupt_kernel=1) + 201 at mono-threads.c:900 [opt]
    frame #6: 0x00000001022e6210 dontlink-mac`mono_thread_info_safe_suspend_and_run [inlined] suspend_sync_nolock at mono-threads.c:932 [opt]
    frame #7: 0x00000001022e6210 dontlink-mac`mono_thread_info_safe_suspend_and_run(id=0x000070000b85f000, interrupt_kernel=1, callback=<unavailable>, user_data=0x00007fff5dbcd418) + 144 at mono-threads.c:975 [opt]
    frame #8: 0x000000010225e240 dontlink-mac`async_suspend_internal(thread=0x00000001049c4508, interrupt=1) + 80 at threads.c:4976 [opt]
    frame #9: 0x000000010225e047 dontlink-mac`mono_thread_suspend_all_other_threads + 327 at threads.c:3459 [opt]
    frame #10: 0x00000001021b4980 dontlink-mac`ves_icall_System_Environment_Exit(result=0) + 32 at icall.c:6647 [opt]
    frame #11: 0x0000000109ddac39
    frame #12: 0x0000000109dda95f
    frame #13: 0x0000000109dda90a
    frame #14: 0x000000010214a1e8 dontlink-mac`mono_jit_runtime_invoke(method=<unavailable>, obj=<unavailable>, params=0x00007fff5dbcdf30, exc=<unavailable>, error=<unavailable>) + 2264 at mini-runtime.c:2530 [opt]
    frame #15: 0x0000000102214c08 dontlink-mac`do_runtime_invoke(method=0x00007fa1c489c4e8, obj=0x0000000103dc6688, params=0x00007fff5dbcdf30, exc=0x0000000000000000, error=0x00007fff5dbcde78) + 88 at object.c:2858 [opt]
    frame #16: 0x0000000102214b80 dontlink-mac`mono_runtime_invoke [inlined] mono_runtime_invoke_checked(method=<unavailable>, obj=0x0000000103dc6688, params=0x00007fff5dbcdf30, error=0x00007fff5dbcde78) + 63 at object.c:3016 [opt]
    frame #17: 0x0000000102214b41 dontlink-mac`mono_runtime_invoke(method=0x00007fa1c489c4e8, obj=0x0000000103dc6688, params=0x00007fff5dbcdf30, exc=<unavailable>) + 145 at object.c:2915 [opt]
    frame #18: 0x00000001023139fd dontlink-mac`native_to_managed_trampoline_11(self=0x00007fa1c46976a0, _cmd="xamarinApplySelector", managed_method_ptr=0x0000000102508978, token_ref=3461) + 237 at Xamarin.Mac.registrar.mobile.x86_64.m:474
    frame #19: 0x0000000102313904 dontlink-mac`::-[__MonoMac_NSActionDispatcher xamarinApplySelector](self=0x00007fa1c46976a0, _cmd="xamarinApplySelector") + 52 at Xamarin.Mac.registrar.mobile.x86_64.m:29147
    frame #20: 0x00007fff8845f69a Foundation`__NSThreadPerformPerform + 326
    frame #21: 0x00007fff869b03b1 CoreFoundation`__CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE0_PERFORM_FUNCTION__ + 17
    frame #22: 0x00007fff8699163c CoreFoundation`__CFRunLoopDoSources0 + 556
    frame #23: 0x00007fff86990b26 CoreFoundation`__CFRunLoopRun + 934
    frame #24: 0x00007fff86990524 CoreFoundation`CFRunLoopRunSpecific + 420
    frame #25: 0x00007fff85eff5cc HIToolbox`RunCurrentEventLoopInMode + 240
    frame #26: 0x00007fff85eff309 HIToolbox`ReceiveNextEventCommon + 184
    frame #27: 0x00007fff85eff236 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 71
    frame #28: 0x00007fff8449cf94 AppKit`_DPSNextEvent + 1120
    frame #29: 0x00007fff84c18593 AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 2789
    frame #30: 0x00007fff8449191b AppKit`-[NSApplication run] + 926
    frame #31: 0x00000001020501c9 dontlink-mac`xamarin_dyn_objc_msgSend + 217
    frame #32: 0x0000000109dd9476
    frame #33: 0x0000000107687014
    frame #34: 0x000000010768557f
    frame #35: 0x000000010214a1e8 dontlink-mac`mono_jit_runtime_invoke(method=<unavailable>, obj=<unavailable>, params=0x00007fff5dbcff40, exc=<unavailable>, error=<unavailable>) + 2264 at mini-runtime.c:2530 [opt]
    frame #36: 0x0000000102214c08 dontlink-mac`do_runtime_invoke(method=0x00007fa1c441a718, obj=0x0000000000000000, params=0x00007fff5dbcff40, exc=0x0000000000000000, error=0x00007fff5dbcff90) + 88 at object.c:2858 [opt]
    frame #37: 0x0000000102218120 dontlink-mac`do_exec_main_checked [inlined] mono_runtime_invoke_checked(method=<unavailable>, obj=<unavailable>, error=0x00007fff5dbcff90) + 144 at object.c:3016 [opt]
    frame #38: 0x00000001022180df dontlink-mac`do_exec_main_checked(method=0x00007fa1c441a718, args=<unavailable>, error=0x00007fff5dbcff90) + 79 at object.c:4678 [opt]
    frame #39: 0x00000001020ab85a dontlink-mac`mono_jit_exec(domain=<unavailable>, assembly=<unavailable>, argc=1, argv=0x00007fa1c4402510) + 298 at driver.g.c:1037 [opt]
    frame #40: 0x00000001020adeff dontlink-mac`mono_main [inlined] main_thread_handler + 8799 at driver.g.c:1106 [opt]
    frame #41: 0x00000001020adecc dontlink-mac`mono_main(argc=<unavailable>, argv=<unavailable>) + 8748 at driver.g.c:2215 [opt]
    frame #42: 0x0000000102050996 dontlink-mac`::xamarin_main(argc=1, argv=0x00007fff5dbd02c8, is_extension=false) + 1046 at launcher.m:612
    frame #43: 0x00000001020516a4 dontlink-mac`main(argc=1, argv=0x00007fff5dbd02c8) + 36 at launcher.m:623
    frame #44: 0x0000000102030b14 dontlink-mac`start + 52

  thread #2: tid = 0x62568f, 0x00007fff9c7784a2 libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #0: 0x00007fff9c7784a2 libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007fff9c8625fe libsystem_pthread.dylib`_pthread_wqthread + 1023
    frame #2: 0x00007fff9c8621ed libsystem_pthread.dylib`start_wqthread + 13

  thread #3: tid = 0x625692, 0x00007fff9c777c46 libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'SGen worker'
    frame #0: 0x00007fff9c777c46 libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0x00007fff9c86396a libsystem_pthread.dylib`_pthread_cond_wait + 712
    frame #2: 0x00000001022cef7e dontlink-mac`thread_func [inlined] mono_os_cond_wait(mutex=0x0000000102506d38) + 15 at mono-os-mutex.h:146 [opt]
    frame #3: 0x00000001022cef6f dontlink-mac`thread_func(thread_data=<unavailable>) + 687 at sgen-thread-pool.c:129 [opt]
    frame #4: 0x00007fff9c862aab libsystem_pthread.dylib`_pthread_body + 180
    frame #5: 0x00007fff9c8629f7 libsystem_pthread.dylib`_pthread_start + 286
    frame #6: 0x00007fff9c8621fd libsystem_pthread.dylib`thread_start + 13

  thread #4: tid = 0x625693, 0x00007fff9c7703f6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'Finalizer'
    frame #0: 0x00007fff9c7703f6 libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #1: 0x00000001021afb71 dontlink-mac`finalizer_thread [inlined] mono_os_sem_wait(flags=MONO_SEM_FLAGS_ALERTABLE) + 11 at mono-os-semaphore.h:90 [opt]
    frame #2: 0x00000001021afb66 dontlink-mac`finalizer_thread + 8 at mono-coop-semaphore.h:40 [opt]
    frame #3: 0x00000001021afb5e dontlink-mac`finalizer_thread(unused=<unavailable>) + 174 at gc.c:907 [opt]
    frame #4: 0x00000001022603e3 dontlink-mac`start_wrapper [inlined] start_wrapper_internal + 301 at threads.c:836 [opt]
    frame #5: 0x00000001022602b6 dontlink-mac`start_wrapper(data=<unavailable>) + 38 at threads.c:888 [opt]
    frame #6: 0x00000001022e6d0d dontlink-mac`inner_start_thread(data=<unavailable>) + 189 at mono-threads.c:1165 [opt]
    frame #7: 0x00007fff9c862aab libsystem_pthread.dylib`_pthread_body + 180
    frame #8: 0x00007fff9c8629f7 libsystem_pthread.dylib`_pthread_start + 286
    frame #9: 0x00007fff9c8621fd libsystem_pthread.dylib`thread_start + 13

  thread #5: tid = 0x62569d, 0x00007fff9c777c46 libsystem_kernel.dylib`__psynch_cvwait + 10, name = 'Threadpool worker'
    frame #0: 0x00007fff9c777c46 libsystem_kernel.dylib`__psynch_cvwait + 10
    frame #1: 0x00007fff9c86396a libsystem_pthread.dylib`_pthread_cond_wait + 712
    frame #2: 0x00007fff88420b7b Foundation`-[NSCondition wait] + 240
    frame #3: 0x00007fff8841fc38 Foundation`-[NSObject(NSThreadPerformAdditions) performSelector:onThread:withObject:waitUntilDone:modes:] + 904
    frame #4: 0x00007fff8841f832 Foundation`-[NSObject(NSThreadPerformAdditions) performSelectorOnMainThread:withObject:waitUntilDone:] + 131
    frame #5: 0x00000001020501c9 dontlink-mac`xamarin_dyn_objc_msgSend + 217

  thread #6: tid = 0x6256a2, 0x00007fff9c7703f6 libsystem_kernel.dylib`semaphore_wait_trap + 10, name = 'com.apple.NSEventThread'
    frame #0: 0x00007fff9c7703f6 libsystem_kernel.dylib`semaphore_wait_trap + 10
    frame #1: 0x00007fff9c62bbd2 libdispatch.dylib`_os_semaphore_wait + 16
    frame #2: 0x00007fff9c61ca09 libdispatch.dylib`_dispatch_semaphore_wait_slow + 103
    frame #3: 0x00007fff85f13642 HIToolbox`_BeginEventReceiptOnThread + 165
    frame #4: 0x00007fff845ea396 AppKit`_NSEventThread + 37
    frame #5: 0x00007fff9c862aab libsystem_pthread.dylib`_pthread_body + 180
    frame #6: 0x00007fff9c8629f7 libsystem_pthread.dylib`_pthread_start + 286
    frame #7: 0x00007fff9c8621fd libsystem_pthread.dylib`thread_start + 13
(lldb) detach
Process 65536 detached
(lldb) (lldb) quit

 * Fetching stack trace for process 65349 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp4436b276.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp4436b276.tmp'.
(lldb) process attach --pid 65349
Process 65349 stopped
* thread #1: tid = 0x625556, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
libsystem_kernel.dylib`__wait4:
->  0x7fff9c778442 <+10>: jae    0x7fff9c77844c            ; <+20>
    0x7fff9c778444 <+12>: movq   %rax, %rdi
    0x7fff9c778447 <+15>: jmp    0x7fff9c770d44            ; cerror
    0x7fff9c77844c <+20>: retq   

Executable module set to "/Applications/Xcode82.app/Contents/Developer/usr/bin/make".
Architecture set to: x86_64-apple-macosx.
(lldb) thread list
Process 65349 stopped
* thread #1: tid = 0x625556, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
(lldb) thread backtrace all
* thread #1: tid = 0x625556, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x0000000105cecc0a make`___lldb_unnamed_symbol156$$make + 369
    frame #2: 0x0000000105cedf21 make`___lldb_unnamed_symbol164$$make + 1255
    frame #3: 0x0000000105cf774a make`___lldb_unnamed_symbol232$$make + 3124
    frame #4: 0x0000000105cf68a2 make`___lldb_unnamed_symbol231$$make + 398
    frame #5: 0x0000000105cf062a make`___lldb_unnamed_symbol173$$make + 6589
    frame #6: 0x00007fff9c649235 libdyld.dylib`start + 1
    frame #7: 0x00007fff9c649235 libdyld.dylib`start + 1
(lldb) detach
make[5]: *** wait: Interrupted system call.  Stop.
make[5]: *** Waiting for unfinished jobs....
Process 65349 detached
(lldb) (lldb) quit

 * Fetching stack trace for process 64973 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp4e8cf838.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp4e8cf838.tmp'.
(lldb) process attach --pid 64973
Process 64973 stopped
* thread #1: tid = 0x6252d9, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
libsystem_kernel.dylib`__wait4:
->  0x7fff9c778442 <+10>: jae    0x7fff9c77844c            ; <+20>
    0x7fff9c778444 <+12>: movq   %rax, %rdi
    0x7fff9c778447 <+15>: jmp    0x7fff9c770d44            ; cerror
    0x7fff9c77844c <+20>: retq   

Executable module set to "/Applications/Xcode82.app/Contents/Developer/usr/bin/make".
Architecture set to: x86_64-apple-macosx.
(lldb) thread list
Process 64973 stopped
* thread #1: tid = 0x6252d9, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
(lldb) thread backtrace all
* thread #1: tid = 0x6252d9, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x000000010360ec0a make`___lldb_unnamed_symbol156$$make + 369
    frame #2: 0x000000010360ff21 make`___lldb_unnamed_symbol164$$make + 1255
    frame #3: 0x000000010361974a make`___lldb_unnamed_symbol232$$make + 3124
    frame #4: 0x00000001036188a2 make`___lldb_unnamed_symbol231$$make + 398
    frame #5: 0x000000010361262a make`___lldb_unnamed_symbol173$$make + 6589
    frame #6: 0x00007fff9c649235 libdyld.dylib`start + 1
(lldb) detach
make[4]: *** wait: Interrupted system call.  Stop.
make[4]: *** Waiting for unfinished jobs....
Process 64973 detached
(lldb) (lldb) quit

 * Fetching stack trace for process 64972 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp41ec949e.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp41ec949e.tmp'.
(lldb) process attach --pid 64972
error: attach failed: cannot attach to process due to System Integrity Protection

 * Fetching stack trace for process 64212 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmpdf25ddc.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmpdf25ddc.tmp'.
(lldb) process attach --pid 64212
Process 64212 stopped
* thread #1: tid = 0x624d68, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
libsystem_kernel.dylib`__wait4:
->  0x7fff9c778442 <+10>: jae    0x7fff9c77844c            ; <+20>
    0x7fff9c778444 <+12>: movq   %rax, %rdi
    0x7fff9c778447 <+15>: jmp    0x7fff9c770d44            ; cerror
    0x7fff9c77844c <+20>: retq   

Executable module set to "/Applications/Xcode82.app/Contents/Developer/usr/bin/make".
Architecture set to: x86_64-apple-macosx.
(lldb) thread list
Process 64212 stopped
* thread #1: tid = 0x624d68, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
(lldb) thread backtrace all
* thread #1: tid = 0x624d68, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x0000000109fb2c0a make`___lldb_unnamed_symbol156$$make + 369
    frame #2: 0x0000000109fb3f21 make`___lldb_unnamed_symbol164$$make + 1255
    frame #3: 0x0000000109fbd74a make`___lldb_unnamed_symbol232$$make + 3124
    frame #4: 0x0000000109fbc8a2 make`___lldb_unnamed_symbol231$$make + 398
    frame #5: 0x0000000109fb662a make`___lldb_unnamed_symbol173$$make + 6589
    frame #6: 0x00007fff9c649235 libdyld.dylib`start + 1
    frame #7: 0x00007fff9c649235 libdyld.dylib`start + 1
(lldb) detach
make[3]: *** wait: Interrupted system call.  Stop.
make[3]: *** Waiting for unfinished jobs....
Process 64212 detached
(lldb) (lldb) quit

 * Fetching stack trace for process 64025 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp70fa499.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp70fa499.tmp'.
(lldb) process attach --pid 64025
Process 64025 stopped
* thread #1: tid = 0x624c31, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
libsystem_kernel.dylib`__wait4:
->  0x7fff9c778442 <+10>: jae    0x7fff9c77844c            ; <+20>
    0x7fff9c778444 <+12>: movq   %rax, %rdi
    0x7fff9c778447 <+15>: jmp    0x7fff9c770d44            ; cerror
    0x7fff9c77844c <+20>: retq   

Executable module set to "/Applications/Xcode82.app/Contents/Developer/usr/bin/make".
Architecture set to: x86_64-apple-macosx.
(lldb) thread list
Process 64025 stopped
* thread #1: tid = 0x624c31, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
(lldb) thread backtrace all
* thread #1: tid = 0x624c31, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x000000010014fc0a make`___lldb_unnamed_symbol156$$make + 369
    frame #2: 0x0000000100150f21 make`___lldb_unnamed_symbol164$$make + 1255
    frame #3: 0x000000010015a74a make`___lldb_unnamed_symbol232$$make + 3124
    frame #4: 0x00000001001598a2 make`___lldb_unnamed_symbol231$$make + 398
    frame #5: 0x000000010015362a make`___lldb_unnamed_symbol173$$make + 6589
    frame #6: 0x00007fff9c649235 libdyld.dylib`start + 1
    frame #7: 0x00007fff9c649235 libdyld.dylib`start + 1
(lldb) detach
make[2]: *** wait: Interrupted system call.  Stop.
make[2]: *** Waiting for unfinished jobs....
Process 64025 detached
(lldb) (lldb) quit

 * Fetching stack trace for process 64000 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp37906bd3.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp37906bd3.tmp'.
(lldb) process attach --pid 64000
Process 64000 stopped
* thread #1: tid = 0x624c0c, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
    frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
libsystem_kernel.dylib`__wait4:
->  0x7fff9c778442 <+10>: jae    0x7fff9c77844c            ; <+20>
    0x7fff9c778444 <+12>: movq   %rax, %rdi
    0x7fff9c778447 <+15>: jmp    0x7fff9c770d44            ; cerror
    0x7fff9c77844c <+20>: retq   

Executable module set to "/Applications/Xcode82.app/Contents/Developer/usr/bin/make".
Architecture set to: x86_64-apple-macosx.
(lldb) thread list
Process 64000 stopped
* thread #1: tid = 0x624c0c, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
(lldb) thread backtrace all
* thread #1: tid = 0x624c0c, 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007fff9c778442 libsystem_kernel.dylib`__wait4 + 10
    frame #1: 0x0000000102189c0a make`___lldb_unnamed_symbol156$$make + 369
    frame #2: 0x000000010218af21 make`___lldb_unnamed_symbol164$$make + 1255
    frame #3: 0x000000010219474a make`___lldb_unnamed_symbol232$$make + 3124
    frame #4: 0x00000001021938a2 make`___lldb_unnamed_symbol231$$make + 398
    frame #5: 0x000000010218d62a make`___lldb_unnamed_symbol173$$make + 6589
    frame #6: 0x00007fff9c649235 libdyld.dylib`start + 1
(lldb) detach
make[1]: *** wait: Interrupted system call.  Stop.
make[1]: *** Waiting for unfinished jobs....
Process 64000 detached
(lldb) (lldb) quit

 * Fetching stack trace for process 63996 * 

(lldb) command source -s 0 '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp6dcedd64.tmp'
Executing commands in '/var/folders/9t/bhhqghxd4131b5k43v0yk7yc0000gn/T/tmp6dcedd64.tmp'.
(lldb) process attach --pid 63996
error: attach failed: cannot attach to process due to System Integrity Protection

 * Killing the processes 65536 65349 64973 64972 64212 64025 64000 63996  * 

 * The build step 'test-mac-dontlink' has had no output for 30 minute(s). *
Comment 1 Rodrigo Kumpera 2017-02-22 01:48:10 UTC
This a runtime crash in mono_threads_suspend_begin_async_suspend(info=<unavailable>, interrupt_kernel=<unavailable>) + 105 at mono-threads-mach.c:100.

Assigning to Ludovic.
Comment 2 Ludovic Henry 2017-02-24 13:30:18 UTC
Where can I find the lane this crash occurs on?
Comment 3 Bernhard Urban 2017-02-27 21:07:25 UTC
Hey Ludovic,

this happens when you do `make world; cd tests; make V=1 run-mac-unified-dontlink` in the xamarin-macios repo. Here's a stack trace:

https://gist.github.com/lewurm/df89877b554ba73aad10d014111ef6b3

stacktrace looks like one in 52604, so I mark it as duplicated for now.

*** This bug has been marked as a duplicate of bug 52604 ***
Comment 4 Ludovic Henry 2017-02-27 21:10:52 UTC
I can confirm it happens on exactly the same test step.